%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}


Name:		nxt_python
Version:	2.2.2
Release:	3%{?dist}
Summary:	Nxt_python is a package for controlling a LEGO NXT robot using python

Group:		Applications/Engineering
License:	GPLv2+
URL:		https://github.com/Eelviny/nxt-python
Source0:	https://github.com/Eelviny/nxt-python/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:    udev-70-lego.rules
BuildArch:	noarch

BuildRequires:	python-devel
Requires:	pybluez, pyusb, pygtk2
Requires(pre):	shadow-utils

%description
nxt_python is a python package for controlling a LEGO NXT robot using the 
python programming language.  It can communicate using either USB or Bluetooth. 

%prep
%setup -q -n nxt-python-%{version}

%build
python setup.py build

%install
python setup.py install --root=%{buildroot}
mkdir -p %{buildroot}/lib/udev/rules.d
cp %{SOURCE1} %{buildroot}/lib/udev/rules.d/70-lego.rules

%clean

%files
%defattr(-,root,root,-)
%doc LICENSE README
%{_bindir}/*
%{python_sitelib}/*
/lib/udev/rules.d/70-lego.rules

%pre
getent group lego >/dev/null || groupadd -r lego


%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.2-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Apr 07 2016 Martin Langhoff <martin@laptop.org> - 2.2.2-1
- New upstream release and new project and git url

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Oct 22 2011 Bruno Wolff III <bruno@wolff.to> - 0.7-9
- Fix bz748082 caused by obsolete udev rule parameters
- Put rules file in /lib instead of /etc

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.7-7
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.7-4
- Rebuild for Python 2.6

* Thu Aug 07 2008 John McLean <jesusfreak91@gmail.com> - 0.7-3
-added pygtk2 Requires
-in patch0, COPYING is no longer changed to LICENSE
-added %%name and %%version macros to SourceURL
-remove (noreplace) from %%config macro

* Wed Jul 30 2008 John McLean <jesusfreak91@gmail.com> - 0.7-2
-removed python from BuildRequires
-changed source0
-included a patch for setup.py and the inclusion of a LICENSE
-removed %%post and %%postun
-included %%pre

*Sat Jul 05 2008 John McLean <jesusfreak91@gmail.com> - 0.7-1
-Initial spec
